%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logmanager
Version:          1.5.2
Release:          %mkrel 6
Group:            Development/Java
Summary:          JBoss Log Manager
License:          LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logmanager
Source0:          https://github.com/jboss-logging/jboss-logmanager/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)

%description
This package contains the JBoss Log Manager

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-logmanager-%{namedversion}

# We won't run on JDK 6
%pom_remove_plugin "org.jboss.seven2six:seven2six"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license COPYING.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.5.2-6.mga6
+ Revision: 976447
- First rebuild of the java stack
- sync package jboss-logmanager with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.5.2-1.mga5
+ Revision: 807677
- Sync with Fedora 21 (update to 1.5.2.Final)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-4.mga5
+ Revision: 747405
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 541926
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.5.1-1.mga4
+ Revision: 496554
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 355073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.2.0-1.mga2
+ Revision: 131925
- Clean spec file

  + gil <gil>
    - imported package jboss-logmanager


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.2.0-1
- Initial packaging


